#ifndef SUPPORT_H
#define SUPPORT_H

#include <gtk/gtkwidget.h>
#include <gtk/gtkliststore.h>

void change_state( GtkWidget *widget, gpointer data );
void change_visible( GtkWidget *widget, gpointer data );

char * convert_keysym_state_to_string( guint keysym, guint state );

gchar *screem_support_ctags( const gchar *dirname, const gchar *word,
			     gchar **pattern );

GtkTreeIter *screem_support_find_in_list( GtkListStore *store, 
					  guint column, const gchar *str );

gchar *screem_support_charset_convert( const gchar *data );

#endif
